org.bouncycastle.openpgp.test

## Class DSA2Test

- java.lang.Object
- - TestCase
  - - org.bouncycastle.openpgp.test.DSA2Test

    public class DSA2Test
    extends TestCase

GPG compatability test vectors

### Constructor Summary

Constructors
Constructor and Description
`DSA2Test()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`void` `setUp()`
`static Test` `suite()`
`void` `testGenerateK1024H224()`
`void` `testGenerateK1024H256()`
`void` `testGenerateK1024H384()`
`void` `testGenerateK1024H512()`
`void` `testGenerateK2048H256()`
`void` `testGenerateK2048H512()`
`void` `testK1024H160()`
`void` `testK1024H224()`
`void` `testK1024H256()`
`void` `testK1024H384()`
`void` `testK1024H512()`
`void` `testK15360H512()`
`void` `testK2048H224()`
`void` `testK3072H256()`
`void` `testK7680H384()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSA2Test

    public DSA2Test()

### Method Detail

#### setUp

    public void setUp()

#### testK1024H160

    public void testK1024H160()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK1024H224

    public void testK1024H224()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK1024H256

    public void testK1024H256()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK1024H384

    public void testK1024H384()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK1024H512

    public void testK1024H512()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK2048H224

    public void testK2048H224()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK3072H256

    public void testK3072H256()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK7680H384

    public void testK7680H384()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testK15360H512

    public void testK15360H512()
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGenerateK1024H224

    public void testGenerateK1024H224()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGenerateK1024H256

    public void testGenerateK1024H256()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGenerateK1024H384

    public void testGenerateK1024H384()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGenerateK1024H512

    public void testGenerateK1024H512()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGenerateK2048H256

    public void testGenerateK2048H256()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testGenerateK2048H512

    public void testGenerateK2048H512()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`